Docs
Product Repository APIProduct File

Delete global product file

Security groups:Global Product Creators
DELETE
/products/product-files

Permanently removes a file attachment from a global product.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

productId*string

The ID of the product.

Lengthlength <= 65
fileId*string

The ID of the file.

FormatUUID

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/products/product-files?productId=ProductId1&fileId=3fa85f64-5717-4562-b3fc-2c963f66afa6"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}